Skip to main content
`Ctrl`+`K`

# DMCompositeScatter

Scatters from a global packed vector into its individual local vectors

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeScatter(DM dm, Vec gvec, ...)

Collective

## Input Parameters

- dm - the `DMCOMPOSITE` object

- gvec - the global vector

- … - the individual sequential vectors, `NULL` for those that are not needed

## Note

`DMCompositeScatterArray()` is a non-variadic alternative that is often more convenient for library callers and is accessible from Fortran.

## See Also

`DMCOMPOSITE`, `DM`, `DMDestroy()`, `DMCompositeAddDM()`, `DMCreateGlobalVector()`, `DMCompositeGather()`, `DMCompositeCreate()`, `DMCompositeGetISLocalToGlobalMappings()`, `DMCompositeGetAccess()`, `DMCompositeGetLocalVectors()`, `DMCompositeRestoreLocalVectors()`, `DMCompositeGetEntries()` `DMCompositeScatterArray()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

## Examples

src/snes/tutorials/ex21.c
src/snes/tutorials/ex22.c
src/ts/tutorials/ex14.c
src/snes/tutorials/ex28.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages